/* 列表页上下搜索布局 */
.layui-card.layui-card-search .layui-card-header{
	text-align: center;
    padding: 15px;
	height: auto;
	line-height: unset;
	border-color: #e8e5e5;
}
.layui-card.layui-card-search .layui-card-header .layui-form-item:last-child{
	margin-bottom: 0;
}
.layui-card.layui-card-search .layui-card-header .layui-inline{
	margin-bottom: 0;
}
.layui-card.layui-card-search .layui-card-header .layui-btn{
	height: 36px;
	line-height: 36px;
}

/* 表格新尺寸 30 */
.layui-table-view .layui-table[lay-size=zx] .layui-table-cell {
    height: 30px;
    line-height: 30px;
}

/* skin皮肤 */
.skin-blankhead .layui-layer-title{
	background: white;
}


/* 左侧输入框. 右侧按钮布局 */
.layui-form-item .wayii-form-item-button{
	float: right;
	margin-left: 15px;
}
.layui-form-item .wayii-form-item-inputbox{
	overflow: hidden;
}

/* 封面文件上传 */
.wayii-form-upload .layui-upload-list{
	margin-bottom: 0;
}
.wayii-form-upload .layui-upload-list .layui-upload-item{
	position: relative;
	font-size: 0;
	display: inline-block;
	border: 1px solid #ddd;
}
.wayii-form-upload .layui-upload-list .layui-upload-item img{
	max-width: 100%;
	max-height: 200px;
	cursor: pointer;
}
.wayii-form-upload .layui-upload-list .layui-upload-item i{
	position: absolute;
	z-index: 2;
	top: -12px;
	right: -12px;
	font-size: 14px;
	font-weight: bold;
	padding: 0 5px;
	border-radius: 100%;
	display: inline-block;
	width: 24px;
	height: 24px;
	box-sizing: border-box;
	line-height: 24px;
	cursor: pointer;
	background: rgba(0,0,0,0.4);
	color: white;
	transition: all .5s;
	-webkit-transition: all .5s;
}
.wayii-form-upload .layui-upload-list .layui-upload-item i:before{
	
}
.wayii-form-upload .layui-upload-list .layui-upload-item i:hover{
	background: rgba(0,0,0,0.6);
}
.wayii-form-upload .layui-word-aux{
	margin-bottom: 0;
}
.wayii-form-upload .wayii-tipbox{
	margin-top: 10px;
}
.wayii-form-upload .wayii-fileList{
	text-align: center;
}
.wayii-form-upload .layui-upload-list .layui-table th{
	text-align: center;
}

/* 多图显示 */
.wayii-form-upload .layui-upload-multi-list{
	margin-bottom: 0;
	user-select: none;
	-webkit-user-select: none;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item{
	position: relative;
	display: inline-block;
	width: 230px;
	height: 280px;
	padding: 10px;
	margin-right: 10px;
	margin-top: 10px;
	box-sizing: border-box;
	border: 1px dashed #e2e2e2;
	cursor: move;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item img{
	width: 100%;
    height: 130px;
    margin-bottom: 5px;
    cursor: pointer;
    border: 1px solid #e6e6e6;
    border-radius: 2px;
    box-sizing: border-box;
    overflow: hidden;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item input{
	margin-bottom: 5px;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item textarea{
	height: 80px;
	min-height: 80px;
	resize: none;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item i{
	position: absolute;
	z-index: 2;
	top: 0px;
	right: 0px;
	font-size: 14px;
	font-weight: bold;
	padding: 0 5px;
	border-radius: 100%;
	display: inline-block;
	width: 24px;
	height: 24px;
	box-sizing: border-box;
	line-height: 24px;
	cursor: pointer;
	background: rgba(0,0,0,0.4);
	color: white;
	transition: all .5s;
	-webkit-transition: all .5s;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item i:before{
	vertical-align: text-bottom;
}
.wayii-form-upload .layui-upload-multi-list .layui-upload-item i:hover{
	background: rgba(0,0,0,0.6);
}

/* 图片选择器 */
.wayii-imgselect-ul{
	display: none;
    position: absolute;
    left: 0;
    top: 42px;
    padding: 5px 0;
    z-index: 999;
    min-width: 100%;
    border: 1px solid #d2d2d2;
    max-height: 300px;
    overflow-y: auto;
    background-color: #fff;
    border-radius: 2px;
    box-shadow: 0 2px 4px rgba(0,0,0,.12);
    box-sizing: border-box;
}
.layui-form-selected .wayii-imgselect-ul{
	display: block;
}
.wayii-imgselect-ul .wayii-imgselect-item{
	position: relative;
    display: inline-block;
    vertical-align: top;
    width: 150px;
    height: 150px;
    margin: 7.5px;
    cursor: pointer;
    font-size: 12px;
	border: 1px solid #f2f2f2;
	padding: 5px;
	box-sizing: border-box;
	text-align: center;
}
.wayii-imgselect-ul .wayii-imgselect-item.active{
	border-color: #5FB878;
}
.wayii-imgselect-ul .wayii-imgselect-item:hover{
	border-color: #5FB878;
}
.wayii-imgselect-ul .wayii-imgselect-item img{
	max-width: 100%;
	max-height: 100%
}
.wayii-imgselect-ul .wayii-imgselect-item.wayii-imgselect-showtitle img{
	width: 100%;
	height: 115px;
}
.wayii-imgselect-ul .wayii-imgselect-item p{
	width: 100%;
	margin-top: 5px;
	height: 20px;
	line-height: 20px;
	text-align: center;
	font-size: 12px;
}

/* 按钮下拉菜单 */
.layui-btn-dropdown{position:relative;display:inline-block}
.layui-btn-dropdown .layui-btn{
	padding-right: 6px;
}
.layui-btn-dropdown .layui-btn cite {
    font-style: normal;
	position: relative;
	top: -1px;
}
.layui-btn-dropdown .layui-btn i{
	position: relative;
	top: 1px;
	margin-left: 4px;
}
.layui-btn-dropdown .layui-dropdown-menu{position:absolute;top:100%;left:0;z-index:1000;float:left;display:none;margin:2px 0 0;padding:5px 0;min-width:100px;border:1px solid #ccc;border:1px solid rgba(0,0,0,.15);border-radius:4px;background-color:#fff;background-clip:padding-box;-webkit-box-shadow:0 6px 12px rgba(0,0,0,.175);box-shadow:0 6px 12px rgba(0,0,0,.175);list-style:none;text-align:left;font-size:.875rem;-webkit-background-clip:padding-box}
.layui-btn-dropdown .layui-dropdown-menu>li>a{cursor: pointer;clear:both;display:block;padding:3px 15px;color:#333;white-space:nowrap;font-weight:400;line-height:1.62857143}
.layui-btn-dropdown .layui-dropdown-menu>li>a:focus,.layui-btn-dropdown .layui-dropdown-menu>li>a:hover{background-color:#f0f0f0;text-decoration:none}
.layui-btn-dropdown .layui-dropdown-menu .divider{overflow:hidden;margin:9px 0;height:1px;background-color:#e5e5e5}

/* 焦点选项卡 */
.sanxc-tab{
	margin: 0;
}
.sanxc-tab ul{
	position: relative;
    left: 0;
    height: 40px;
    white-space: nowrap;
    font-size: 0;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    transition: all .2s;
    -webkit-transition: all .2s;
}
.sanxc-tab ul li {
    display: inline-block;
    *display: inline;
    *zoom: 1;
    vertical-align: middle;
    font-size: 14px;
    transition: all .2s;
    -webkit-transition: all .2s;
    position: relative;
    line-height: 40px;
    min-width: 65px;
    padding: 0 15px;
    text-align: center;
    cursor: pointer;
}
.sanxc-tab ul li a {
    display: block;
}
.sanxc-tab ul li.sanxc-active {
    color: #009688;
}

/* 徽章状态 */
.wayii-badge{
    white-space: nowrap;
}
.wayii-badge:before {
    display: inline-block;
    content: "";
    height: 10px;
    width: 10px;
    margin: -2px 6px 0 0;
    vertical-align: middle;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}
.wayii-badge.wayii-color-red:before{
	background-color: red;
}
.wayii-badge.wayii-color-success:before{
	background-color: #5FB878;
}
.wayii-badge.wayii-color-normal:before{
	background-color: #1E9FFF;
}
.wayii-badge.wayii-color-warn:before{
	background-color: #FFB800;
}
.wayii-badge.wayii-color-danger:before{
	background-color: #FF5722;
}
.wayii-badge.wayii-color-error:before{
	background-color: #FF5722;
}

/* 自定义 */
.wayii-app {
    padding: 15px;
}
.wayii-app .layui-btn cite{
	font-style: normal;
}

/* 风格设置 */
.wayii-pb-0{
	padding-bottom: 0px;
}
.wayii-pt-20{
	padding-top: 20px;
}
.wayii-pd-20{
	padding: 20px;
}
.wayii-ml-5{
	margin-left: 5px;
}
.wayii-ml-15{
	margin-left: 15px;
}
.wayii-mb-0{
	margin-bottom: 0px !important;
}
.wayii-mb-5{
	margin-bottom: 5px;
}
.wayii-mb-10{
	margin-bottom: 10px;
}
.wayii-color-red{
	color: red;
}
.wayii-color-success{
	color: #5FB878;
}
.wayii-color-normal{
	color: #1E9FFF;
}
.wayii-color-warn{
	color: #FFB800;
}
.wayii-color-danger{
	color: #FF5722;
}
.wayii-color-error{
	color: #E03636;
}
.wayii-color-green{
	color: #009688;
}
.wayii-color-cyan{
	color: #2F4056;
}
.wayii-color-violet{
	color: #9463F7;
}
.wayii-color-gray{
	color: #9E9E9E;
}


.wayii-image-cover{
	max-width: 100% !important;
	max-height: 100% !important;
	cursor: pointer;
}
.wayii-image-avatar{
	width: 40px;
	height: 40px;
	border-radius: 100%;
	cursor: pointer;
}
.wayii-link-a{
	color: #0081cc;
}
.wayii-link-a:hover{
	color: #07a1fa;
	text-decoration: underline;
}

/********************************** 公共设置 **************************************/
[lay-href], [lay-tips], [wayii-event] {
    cursor: pointer;
}
/* 按钮图标 */
.layui-btn .wayii-icon {
    margin-right: 3px;
    font-size: 18px;
    vertical-align: bottom;
    vertical-align: middle\9;
	position: relative;
	top: 1px;
}

/* 必填 */
.wayii-form-require .layui-form-label:before{
	content: '*';
    color: red;
    padding-right: 1px;
    font-size: 18px;
    line-height: 20px;
    display: inline-block;
    vertical-align: -5px;
    height: 12px;
}

/* 滚动容器 */
.wayii-scroll{
	overflow: auto;
}
.wayii-scroll::-webkit-scrollbar-track{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}
 
.wayii-scroll::-webkit-scrollbar{
	width: 10px;
	background-color: #F5F5F5;
}
 
.wayii-scroll::-webkit-scrollbar-thumb{
	background-color: #AAA;	
	background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, .2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .2) 50%, rgba(255, 255, 255, .2) 75%, transparent 75%, transparent)
}

/* 滚动条 */
html::-webkit-scrollbar-track{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}
 
html::-webkit-scrollbar{
	width: 10px;
	background-color: #F5F5F5;
}
 
html::-webkit-scrollbar-thumb{
	background-color: #AAA;	
	background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, .2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .2) 50%, rgba(255, 255, 255, .2) 75%, transparent 75%, transparent)
}
body{
	/*overflow-y: scroll;*/
}

/* 表单项居中 */
.wayii-form-item-center .layui-form-mid{
	float: none;
	text-align: center;
}

/* 系统设置表单 */
.wayii-form-setting .layui-form-label{
	width: 160px;
}
.wayii-form-setting .layui-input-block{
	margin-left: 190px;
}
.wayii-form-setting .layui-input-inline{
	width: auto;
}
.wayii-form-setting .wayii-form-word{
	padding-bottom: 0px !important;
	text-align: left;
}
.wayii-form-setting .wayii-form-mask{
	position: relative;
	top: 1px;
	margin: 0 3px;
	cursor: pointer;
}
.wayii-form-setting [lay-add]{
	display: none !important;
}
.wayii-form-setting .wayii-input-tdk{

}
.wayii-form-setting .wayii-input-tdk .layui-input-block{
	margin-right: 140px;
}
.wayii-form-setting .wayii-input-tdk .wayii-input-tdk-btn{
	width: 130px;
	float: right;
    display: block;
    padding: 9px 15px;
    font-weight: 400;
    line-height: 20px;
}

.wayii-search-form{
	text-align: center;
	padding: 15px;
}

/* 编辑器 */
.wayii-editor{

}
.wayii-umeditor{

}
.wayii-umeditor .edui-container{
	border: 0;
}
.wayii-umeditor .edui-container .edui-toolbar{
	border: 0;
	background-color: white;
}
.wayii-umeditor .edui-editor-body .edui-body-container{
	box-sizing: border-box;
}
.wayii-umeditor .edui-editor-body .edui-body-container::-webkit-scrollbar-track{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}
 
.wayii-umeditor .edui-editor-body .edui-body-container::-webkit-scrollbar{
	width: 10px;
	background-color: #F5F5F5;
}
 
.wayii-umeditor .edui-editor-body .edui-body-container::-webkit-scrollbar-thumb{
	background-color: #AAA;	
	background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, .2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .2) 50%, rgba(255, 255, 255, .2) 75%, transparent 75%, transparent)
}

/* 选择TDK模板界面 */
.chooseTdkTpl .layui-table-view{
	margin: 0;
}

/************************************* 页面集 ***********************************************/

/* 系统设置页 */
.wayii-app-setting .layui-tab-title{
	text-align: center;
}

/* 列表页 */
.wayii-btnGroup cite{
	font-style: normal;
}

/* 添加栏目页 */
.wayii-app .layui-footer {
    background-color: #fff;
	padding: 10px 0;
    text-align: center;
    box-shadow: 0 -1px 2px 0 rgba(0,0,0,.15);
	position: fixed;
    left: 15px;
    right: 15px;
    bottom: 0;
    height: 44px;
    line-height: 44px;
	z-index: 1000;
}

/* 信息管理页面 */
.wayii-app-article{
	
}

/* 弹层表单 */
.wayii-app-formodel{
	padding-bottom: 0;
	padding-right: 35px;
}
.wayii-app-formodel .layui-form-item.layui-row:nth-last-child(2){
	margin-bottom: 5px;
}

/* 动画 */
.wayii-anim {
    -webkit-animation-duration: .3s;
    animation-duration: .3s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both
}
.wayii-anim-bottom {
    -webkit-animation-name: wayii-bottom;
    animation-name: wayii-bottom
}

@-webkit-keyframes wayii-bottom {
    from {
        -webkit-transform: translate3d(0,-100%,0);
        opacity: .3
    }

    to {
        -webkit-transform: translate3d(0,0,0);
        opacity: 1
    }
}

@keyframes wayii-bottom {
    from {
        transform: translate3d(0,-100%,0);
        opacity: .3
    }

    to {
        transform: translate3d(0,0,0);
        opacity: 1
    }
}